;------------------------------------------------------------------------------
;  FILENAME:   Counter8_1.inc
;   VERSION:    REV B, 2001 May 20
;------------------------------------------------------------------------------
;  DESCRIPTION:
;     Assembler include file of Counter8_1 instance of timer8 
;     user module.
;------------------------------------------------------------------------------
;	Copyright (c) Cypress MicroSystems 2000,2001. All Rights Reserved.
;------------------------------------------------------------------------------

;--------------------------------
;  Interrupt registers and masks
;--------------------------------
;mask value for global int reg bit for counter8 instance
bCounter8_1_INT_MASK:         equ 01h  
;counter8 interrupt address
Counter8_1_INT_REG:           equ 0e1h  


;---------------------------------
;  Registers used by counter8
;---------------------------------
Counter8_1_CONTROL_REG:	equ	23h     ;Control register
Counter8_1_COUNTER_REG:	equ	20h     ;Counter register
Counter8_1_PERIOD_REG :	equ	21h     ;Period value register
Counter8_1_COMPARE_REG:	equ	22h     ;CompareValue register
Counter8_1_FUNC_REG   :	equ	20h     ;Function register
Counter8_1_INPUT_REG  :	equ	21h     ;Input register
Counter8_1_OUTPUT_REG :	equ	22h     ;Output register

; end of file
