//************************************************************************
//************************************************************************
//
// DAC6_1.h (from DAC6.h user module template)
//  Rev C, 2001 July 3
// 
// C declarations for the DAC6 user module interface.
//
// Copyright (c) Cypress MicroSystems 2001. All Rights Reserved.
//
//************************************************************************
//************************************************************************

#define DAC6_1_OFF         0
#define DAC6_1_LOWPOWER    1
#define DAC6_1_MEDPOWER    2
#define DAC6_1_FULLPOWER   3

#pragma fastcall DAC6_1_Start
#pragma fastcall DAC6_1_SetPower
#pragma fastcall DAC6_1_WriteBlind
#pragma fastcall DAC6_1_WriteStall
#pragma fastcall DAC6_1_Stop


extern void DAC6_1_Start(char cPowerSetting);
extern void DAC6_1_SetPower(char cPowerSetting);
extern void DAC6_1_WriteBlind(char cOutputValue);
extern void DAC6_1_WriteStall(char cOutputValue);
extern void DAC6_1_Stop(void);
