;;************************************************************************
;;************************************************************************
;;
;;  DAC6_1.inc (from DAC6.inc user module template)
;;  Rev C, 2001 July 3
;;
;; Assembler declarations for the DAC6 user module interface.
;;
;; Copyright (c) Cypress MicroSystems 2001. All Rights Reserved.
;;
;;************************************************************************
;;************************************************************************

DAC6_1_OFF:              equ 00h
DAC6_1_LOWPOWER:         equ 01h
DAC6_1_MEDPOWER:         equ 02h
DAC6_1_HIGHPOWER:        equ 03h

DAC6_1_CR0:              equ 80h
DAC6_1_CR1:              equ 81h
DAC6_1_CR2:              equ 82h
DAC6_1_CR3:              equ 83h

DAC6_1_OffsetBinary:     equ 04h
DAC6_1_TwosComplement:   equ 02h
DAC6_1_SignAndMagnitude: equ 01h
DAC6_1_RawRegister:      equ 00h

DAC6_1_DATAFORMAT:       equ 3h
DAC6_1_OFFSETBINARY:     equ DAC6_1_DATAFORMAT & DAC6_1_OffsetBinary
DAC6_1_TWOSCOMPLEMENT:   equ DAC6_1_DATAFORMAT & DAC6_1_TwosComplement
DAC6_1_SIGNANDMAGNITUDE: equ DAC6_1_DATAFORMAT & DAC6_1_SignAndMagnitude

DAC6_1_PHASE_Normal:     equ 0
DAC6_1_PHASE_Swapped:    equ 1
DAC6_1_PHASE_SWAP:       equ DAC6_1_PHASE_Normal

IF DAC6_1_PHASE_SWAP
    DAC6_1_CR0_HIBITS:   equ C0h
ELSE
    DAC6_1_CR0_HIBITS:   equ 80h
ENDIF
