//************************************************************************
//************************************************************************
//
//  DAC8_1.h (from dac8.h user module template)
//  Rev A, 2001 July 3
//
//  C declarations for the DAC8 user module interface.
//
//  Copyright (c) Cypress MicroSystems 2001. All Rights Reserved.
//
//************************************************************************
//************************************************************************

#pragma fastcall DAC8_1_Start
#pragma fastcall DAC8_1_SetPower
#pragma fastcall DAC8_1_WriteBlind
#pragma fastcall DAC8_1_WriteStall
#pragma fastcall DAC8_1_WriteBlind2B
#pragma fastcall DAC8_1_WriteStall2B
#pragma fastcall DAC8_1_Stop

extern void  DAC8_1_Start(char cOutputValue);
extern void  DAC8_1_SetPower(char cOutputValue);
extern void  DAC8_1_WriteBlind(char cOutputValue);
extern void  DAC8_1_WriteStall(char cOutputValue);
extern void  DAC8_1_WriteBlind2B(BYTE bMSB, BYTE bLSB);
extern void  DAC8_1_WriteStall2B(BYTE bMSB, BYTE bLSB);
extern void  DAC8_1_Stop(void);

#define DAC8_1_OFF         0
#define DAC8_1_LOWPOWER    1
#define DAC8_1_MEDPOWER    2
#define DAC8_1_FULLPOWER   3
