//***********************************************************************
//***********************************************************************
//
//  LPF2_1.h  for the 2 pole low pass filter
//
//  C declarations for the LPF2 User Module.
//
//  Rev A 2001 June 26
//
//  Copyright: Cypress Micro Systems 2000, 2001.  All Rights Reserved
//
//************************************************************************
//************************************************************************

#define LPF2_1_OFF         0
#define LPF2_1_LOWPOWER    1
#define LPF2_1_MEDPOWER    2
#define LPF2_1_HIGHPOWER   3

#pragma fastcall LPF2_1_Start
#pragma fastcall LPF2_1_SetPower
#pragma fastcall LPF2_1_Stop



extern void LPF2_1_Start(char power);
extern void LPF2_1_SetPower(char power);
extern void LPF2_1_Stop(void);



