;  Personalization tables 
export LoadConfigTBL_piano_Bank1
export LoadConfigTBL_piano_Bank0
LoadConfigTBL_piano_Bank1:
;  Global Register values
	db		61h, 00h		; AnalogClockSelect register
	db		60h, 55h		; AnalogColumnClockSelect register
	db		62h, 28h		; AnalogIOControl register
	db		63h, 00h		; AnalogModulatorControl register
	db		e1h, b2h		; OscillatorControl_1 register
	db		00h, 02h		; Port_0_DriveMode_0 register
	db		01h, 28h		; Port_0_DriveMode_1 register
	db		04h, 00h		; Port_1_DriveMode_0 register
	db		05h, 00h		; Port_1_DriveMode_1 register
	db		08h, 1fh		; Port_2_DriveMode_0 register
	db		09h, 00h		; Port_2_DriveMode_1 register
	db		0ch, 00h		; Port_3_DriveMode_0 register
	db		0dh, 00h		; Port_3_DriveMode_1 register
	db		10h, 00h		; Port_4_DriveMode_0 register
	db		11h, 00h		; Port_4_DriveMode_1 register
	db		14h, 00h		; Port_5_DriveMode_0 register
	db		15h, 00h		; Port_5_DriveMode_1 register
	db		e3h, 84h		; VoltageMonitorControl register
;  Instance name DAC8_1, User Module DAC8
;       Instance name DAC8_1, Block Name LSB(ASB22)
;       Instance name DAC8_1, Block Name MSB(ASA12)
;  Instance name PWM16_1, User Module PWM16
;       Instance name PWM16_1, Block Name PWM16_LSB(DBA00)
	db		20h, 11h		;PWM16_1_FUNC_LSB_REG   
	db		21h, 14h		;PWM16_1_INPUT_LSB_REG  
	db		22h, 00h		;PWM16_1_OUTPUT_LSB_REG 
;       Instance name PWM16_1, Block Name PWM16_MSB(DBA01)
	db		24h, 39h		;PWM16_1_FUNC_MSB_REG   
	db		25h, 34h		;PWM16_1_INPUT_MSB_REG  
	db		26h, 00h		;PWM16_1_OUTPUT_MSB_REG 
	db		ffh
LoadConfigTBL_piano_Bank0:
;  Global Register values
	db		60h, 28h		; AnalogColumnInputSelect register
	db		63h, 07h		; AnalogReferenceControl register
	db		65h, 00h		; AnalogSyncControl register
	db		e6h, 00h		; DecimatorControl register
	db		02h, 02h		; Port_0_Bypass register
	db		06h, 00h		; Port_1_Bypass register
	db		0ah, 00h		; Port_2_Bypass register
	db		0eh, 00h		; Port_3_Bypass register
	db		12h, 00h		; Port_4_Bypass register
	db		16h, 00h		; Port_5_Bypass register
;  Instance name DAC8_1, User Module DAC8
;       Instance name DAC8_1, Block Name LSB(ASB22)
	db		98h, 80h		;DAC8_1_LSB_CR0
	db		99h, 80h		;DAC8_1_LSB_CR1
	db		9ah, 20h		;DAC8_1_LSB_CR2
	db		9bh, 30h		;DAC8_1_LSB_CR3
;       Instance name DAC8_1, Block Name MSB(ASA12)
	db		88h, a0h		;DAC8_1_MSB_CR0
	db		89h, 41h		;DAC8_1_MSB_CR1
	db		8ah, 20h		;DAC8_1_MSB_CR2
	db		8bh, 3ch		;DAC8_1_MSB_CR3
;  Instance name PWM16_1, User Module PWM16
;       Instance name PWM16_1, Block Name PWM16_LSB(DBA00)
	db		23h, 00h		;PWM16_1_CONTROL_LSB_REG
	db		21h, 7fh		;PWM16_1_PERIOD_LSB_REG 
	db		22h, dch		;PWM16_1_PWDITH_LSB_REG 
;       Instance name PWM16_1, Block Name PWM16_MSB(DBA01)
	db		27h, 00h		;PWM16_1_CONTROL_MSB_REG
	db		25h, 0ch		;PWM16_1_PERIOD_MSB_REG 
	db		26h, 05h		;PWM16_1_PWDITH_MSG_REG 
	db		ffh


; PSoC Configuration file trailer PsocConfig.asm
