/******************************************************************************
*  FILENAME:      PWM16_1.h
*   VERSION:      Rev B, 2001 May 21
*******************************************************************************
*  DESCRIPTION:
*     PWM16_1 PWM16 User Module header file.
*******************************************************************************
*	Copyright (c) Cypress MicroSystems 2000,2001. All Rights Reserved.
******************************************************************************/

/* include the global header file */
#include <m8c.h>

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall  PWM16_1_EnableInt
#pragma fastcall  PWM16_1_DisableInt
#pragma fastcall  PWM16_1_Start
#pragma fastcall  PWM16_1_Stop
#pragma fastcall  PWM16_1_WritePeriod
#pragma fastcall  PWM16_1_WritePulseWidth
#pragma fastcall wPWM16_1_ReadPulseWidth
#pragma fastcall wPWM16_1_ReadCounter

/**************************************************
* Prototypes of PWM API. For a definition of
* functions see PWM16_1.inc. 
**************************************************/
extern void  PWM16_1_EnableInt(void);
extern void  PWM16_1_DisableInt(void);
extern void  PWM16_1_Start(void);
extern void  PWM16_1_Stop(void);
extern void  PWM16_1_WritePeriod(WORD wPeriod);
extern void  PWM16_1_WritePulseWidth(WORD wPulseWidth);
extern WORD wPWM16_1_ReadPulseWidth(void);	
extern WORD wPWM16_1_ReadCounter(void);	 

// end of file
