;------------------------------------------------------------------------------
;  FILENAME:   PWM16_1.inc
;   VERSION:   Rev B, 2001 May 21
;------------------------------------------------------------------------------
;  DESCRIPTION:
;     Assembler include file of PWM16_1 instance of PWM16 
;     user module.
;------------------------------------------------------------------------------
;	Copyright (c) Cypress MicroSystems 2000,2001. All Rights Reserved.
;------------------------------------------------------------------------------

;--------------------------------
;  Interrupt registers and masks
;--------------------------------
;mask value for global int reg bit for PWM16 instance
bPWM16_1_INT_MASK:   equ   02h	
;PWM16 interrupt address
PWM16_1_INT_REG:    equ   0e1h


;---------------------------------
;  Registers used by PWM16
;---------------------------------
PWM16_1_CONTROL_LSB_REG:	equ	23h    ;Control register LSB
PWM16_1_CONTROL_MSB_REG:	equ	27h    ;Control register MSB
PWM16_1_COUNTER_LSB_REG:	equ	20h    ;Counter register LSB
PWM16_1_COUNTER_MSB_REG:	equ	24h    ;Counter register MSB
PWM16_1_PERIOD_LSB_REG :	equ	21h    ;Period register LSB
PWM16_1_PERIOD_MSB_REG :	equ	25h    ;Period register MSB
PWM16_1_PWDITH_LSB_REG :	equ	22h    ;PulseWidth register LSB
PWM16_1_PWDITH_MSG_REG :	equ	26h    ;PulseWidth register MSB
PWM16_1_FUNC_LSB_REG   :	equ	20h    ;Function register LSB
PWM16_1_FUNC_MSB_REG   :	equ	24h    ;Function register MSB
PWM16_1_INPUT_LSB_REG  :	equ	21h    ;Input register LSB
PWM16_1_INPUT_MSB_REG  :	equ	25h    ;Input register MSB
PWM16_1_OUTPUT_LSB_REG :	equ	22h    ;Output register LSB
PWM16_1_OUTPUT_MSB_REG :	equ	26h    ;Output register MSB

; end of file

