/******************************************************************************
*  FILENAME:      PWM8_1.h
*   VERSION:      Rev B, 2001 May 21
*******************************************************************************
*  DESCRIPTION:
*     PWM8_1 PWM8 User Module header file.
*
*******************************************************************************
*	Copyright (c) Cypress MicroSystems 2000,2001.  All Rights Reserved.
******************************************************************************/

/* include the global header file */
#include <m8c.h>

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall  PWM8_1_EnableInt
#pragma fastcall  PWM8_1_DisableInt
#pragma fastcall  PWM8_1_Start
#pragma fastcall  PWM8_1_Stop
#pragma fastcall  PWM8_1_WritePeriod
#pragma fastcall  PWM8_1_WritePulseWidth
#pragma fastcall bPWM8_1_ReadPulseWidth 
#pragma fastcall bPWM8_1_ReadCounter

/**************************************************
* Prototypes of PWM API. For a definition of
* functions see PWM8_1.inc. 
**************************************************/
extern void  PWM8_1_EnableInt(void);
extern void  PWM8_1_DisableInt(void);
extern void  PWM8_1_Start(void);
extern void  PWM8_1_Stop(void);
extern void  PWM8_1_WritePeriod(BYTE bPeriod);
extern void  PWM8_1_WritePulseWidth(BYTE bPulseWidth);
extern BYTE bPWM8_1_ReadPulseWidth(void);	
extern BYTE bPWM8_1_ReadCounter(void);	 

// end of file
