// C Interface Declarations for the Switched Cap User module
// Copyright (c) 2000 Cypress Microsystems, Inc. All rights reserved.
// Version "0.0-2001.03.19"
// UserModuleID "SCBLOCK"

#define SCBLOCK_1_OFF         0
#define SCBLOCK_1_LOWPOWER    1
#define SCBLOCK_1_MEDPOWER    2
#define SCBLOCK_1_FULLPOWER   3

#pragma fastcall SCBLOCK_1_Start
#pragma fastcall SCBLOCK_1_SetPower
#pragma fastcall SCBLOCK_1_Stop

extern void SCBLOCK_1_Start(char power);
extern void SCBLOCK_1_SetPower(char power);
extern void SCBLOCK_1_Stop(void);

