;;; API for SCBLOCK
;;; Copyright (c) 2001
;;; UserModuleID "SCBLOCK"

export  SCBLOCK_1_SCBLK_INT
;; -----------------------------------------------------------------
;;                         Register Definitions
;; -----------------------------------------------------------------
;; BIT FIELD            Mask 
;; -----------------    ----- 
;; CR0.FCap              80
;; CR0.ClockPhase        40
;; CR0.ASign             20
;; CR0.ACap              1F
;; 
;; CR1.AMux              C0   SCB
;; CR1.ACMux             C0   SCA
;; CR1.BCap              1F
;;
;; CR2.AnalogBus         80
;; CR2.CmpBus            40
;; CR2.AutoZero          20
;; CR2.CCap              1F
;;
;; CR3.RefSelect         C0
;; CR3.FSW1              20
;; CR3.FSW0              10
;; CR3.BSW               08   SCB
;; CR3.BMux              04   SCB
;; CR3.BMux              0C   SCA
;; CR3.Power             03
;;
include "SCBLOCK_1.inc"
include "m8c.inc"

 
SCBLOCK_1_SCBLK_INT:
   nop           ;just a stub
   reti

