/******************************************************************************
*  FILENAME:      Counter8_1.h
*   VERSION:      REV B, 2001 May 20
*******************************************************************************
*  DESCRIPTION:
*     Counter8_1 Counter8 User Module header file.
*******************************************************************************
*	Copyright (c) Cypress MicroSystems 2000,2001.  All Rights Reserved.
******************************************************************************/

/* include the global header file */
#include <m8c.h>

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall  Counter8_1_EnableInt
#pragma fastcall  Counter8_1_DisableInt
#pragma fastcall  Counter8_1_Start
#pragma fastcall  Counter8_1_Stop
#pragma fastcall  Counter8_1_WritePeriod
#pragma fastcall  Counter8_1_WriteCompareValue
#pragma fastcall bCounter8_1_ReadCompareValue
#pragma fastcall bCounter8_1_ReadCounter

/**************************************************
* Prototypes of Counter8 API. For a definition of
* functions see Counter8_1.inc. 
**************************************************/
extern void  Counter8_1_EnableInt(void);
extern void  Counter8_1_DisableInt(void);
extern void  Counter8_1_Start(void);
extern void  Counter8_1_Stop(void);
extern void  Counter8_1_WritePeriod(BYTE bPeriod);
extern void  Counter8_1_WriteCompareValue(BYTE bCompareValue);
extern BYTE bCounter8_1_ReadCompareValue(void);	
extern BYTE bCounter8_1_ReadCounter(void);	 

// end of file
