;;************************************************************************
;;************************************************************************
;;
;;  DAC8_1.inc (from dac8.inc user module template)
;;  Revision A, 2001 July 3
;;
;;  Assembler source for 8-bit Switched Capacitor DAC API
;;
;;  Copyright (c) Cypress MicroSystems 2001. All Rights Reserved.
;;
;;************************************************************************
;;************************************************************************
;;

DAC8_1_OFF:              equ 00h
DAC8_1_LOWPOWER:         equ 01h
DAC8_1_MEDPOWER:         equ 02h
DAC8_1_HIGHPOWER:        equ 03h

DAC8_1_LSB_CR0:          equ 98h
DAC8_1_LSB_CR1:          equ 99h
DAC8_1_LSB_CR2:          equ 9ah
DAC8_1_LSB_CR3:          equ 9bh
DAC8_1_MSB_CR0:          equ 88h
DAC8_1_MSB_CR1:          equ 89h
DAC8_1_MSB_CR2:          equ 8ah
DAC8_1_MSB_CR3:          equ 8bh

DAC8_1_OffsetBinary:     equ 04h
DAC8_1_TwosComplement:   equ 02h
DAC8_1_SignAndMagnitude: equ 01h
DAC8_1_RawRegister:      equ 00h

DAC8_1_DATAFORMAT:       equ 3h
DAC8_1_OFFSETBINARY:     equ DAC8_1_DATAFORMAT & DAC8_1_OffsetBinary
DAC8_1_TWOSCOMPLEMENT:   equ DAC8_1_DATAFORMAT & DAC8_1_TwosComplement
DAC8_1_SIGNANDMAGNITUDE: equ DAC8_1_DATAFORMAT & DAC8_1_SignAndMagnitude

DAC8_1_PHASE_Normal:     equ 0
DAC8_1_PHASE_Swapped:    equ 1

DAC8_1_PHASE_SWAP:       equ DAC8_1_PHASE_Normal

IF DAC8_1_PHASE_SWAP
    DAC8_1_CR0_HIBITS:   equ C0h
ELSE
    DAC8_1_CR0_HIBITS:   equ 80h
ENDIF
