;------------------------------------------------------------------------------
;  FILENAME:   PWM8_1.inc
;   VERSION:   Rev B, 2001 May 21  
;------------------------------------------------------------------------------
;  DESCRIPTION:
;     Assembler include file of PWM8_1 instance of PWM8 
;     user module.
;------------------------------------------------------------------------------
;	Copyright (c) Cypress MicroSystems 2000,2001.  All Rights Reserved.
;------------------------------------------------------------------------------

;--------------------------------
;  Interrupt registers and masks
;--------------------------------
;mask value for global int reg bit for PWM8 instance
bPWM8_1_INT_MASK:   equ 04h  
;PWM8 interrupt address
PWM8_1_INT_REG:    equ 0e1h  


;---------------------------------
;  Registers used by PWM8
;---------------------------------
PWM8_1_CONTROL_REG:	equ	2bh      ;Control register
PWM8_1_COUNTER_REG:	equ	28h      ;Counter register
PWM8_1_PERIOD_REG :	equ	29h      ;Period value register
PWM8_1_PWIDTH_REG :	equ	2ah      ;PulseWidth register
PWM8_1_FUNC_REG   :	equ	28h     ;Function register
PWM8_1_INPUT_REG  :	equ	29h     ;Input register
PWM8_1_OUTPUT_REG :	equ	2ah     ;Output register

; end of file
