// C Interface Declarations for the Switched Cap User module
// Copyright (c) 2000 Cypress Microsystems, Inc. All rights reserved.
// Version "0.0-2001.03.19"
// UserModuleID "SCBLOCK"

#define SCBLOCK_2_OFF         0
#define SCBLOCK_2_LOWPOWER    1
#define SCBLOCK_2_MEDPOWER    2
#define SCBLOCK_2_FULLPOWER   3

#pragma fastcall SCBLOCK_2_Start
#pragma fastcall SCBLOCK_2_SetPower
#pragma fastcall SCBLOCK_2_Stop

extern void SCBLOCK_2_Start(char power);
extern void SCBLOCK_2_SetPower(char power);
extern void SCBLOCK_2_Stop(void);

